Name:           libtvdb
Version:        0.3.0
Release:        10%{?dist}
Summary:        A library to fetch TV series information from the thetvdb.com web service

# Any later version of LGPL accepted by the membership of KDE e.V. 
# (or its successor approved by the membership of KDE e.V.)
License:        LGPLv2 or LGPLv3
URL:            http://libtvdb.sourceforge.net
Source0:        http://downloads.sourceforge.net/project/%{name}/0.3/%{name}-%{version}.tar.bz2

BuildRequires:  cmake
BuildRequires:  kdelibs4-devel
BuildRequires:  kde-runtime-devel

%description
A small library to fetch TV series information from the thetvdb.com web service


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%{cmake_kde4} .
make %{?_smp_mflags}


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc ChangeLog
%{_kde4_bindir}/tvdbclient
%{_kde4_libdir}/*.so.*


%files devel
%{_includedir}/*
%{_kde4_libdir}/*.so
%{_kde4_datadir}/cmake/*


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.0-8
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 06 2012 Dan Vrátil <dvratil@redhat.com> - 0.3.0-3
- Fixed license
- Use KDE4 macros
- Added Cmake to -devel requires

* Tue Oct 23 2012 Dan Vrátil <dvratil@redhat.com> - 0.3.0-2
- Fixed license
- Marked ChangeLog as documentation
- Removed CMake version and "rm -rf $BUILD_ROOT"

* Sun Oct 21 2012 Dan Vrátil <dvratil@redhat.com> - 0.3.0-1
- Initial package
